Subject: [netmod] Brief Last Call: Charter proposal for netmod wg (10/14/2010)

From: David Kessens <[email-masked]>
Date: Tue, 12 Oct 2010 22:34:06 -0700

Working Group,

Please see below for a revised version of the proposed new netmod charter.

I have tried to incorporate comments from the IESG and comments that seem to
have wide spread support. I have also attached a diff file to make
comparison with the previous version easy.

As our Area Director explained in a previous mail, I don't have the luxury
to do a lengthy Last Call as it is important to get a new charter in place
before next IETF meeting. Therefore, I will need your comments on the
mailing list that either (dis)approve of the current text or suggest text
for improvements by the end of business on Thursday. As our timeline is
quite short, it is extra important that I see a lot of comments from as many
participants as possible.

However, as also mentioned by Dan, if necessary, we will still have a little
bit of extra time to do some more fine tuning after the Last Call has passed
and before the charter is up for approval on the next IESG telechat on
10/21. This also means that we can theoretically still pull the proposed
charter from consideration by the IESG after the Last Call has passed until
10/20. My intention is obviously not to do this but I want to mention this
to make sure that people who might potentially have missed our very short
deadline know that they can still speak up to allow me as chairperson to
reassess whether we indeed reached our goal of rough consensus.

Finally, I would like to thank David Partain for all the work he has done
for the netmod working group. I don't think we would have been able to
achieve our milestones as quick as we did without his dedication.

Thanks!

David Kessens
---

NETCONF Data Modeling Language (netmod)
-----------------------------
Last Modified: 2010-10-12

Current Status: Active Working Group

Chairs: 
David Partain <[email-masked]>
David Kessens <[email-masked]>

Area Director: 
Dan Romascanu <[email-masked]>

Mailing List
Address:	[email-masked]
To Subscribe:	[email-masked]
Archive:	http://www.ietf.org/mail-archive/web/netmod/

Description:

The NETCONF Working Group has completed a base protocol to be used for
configuration management. However, the NETCONF protocol does not include
a modeling language or accompanying rules that can be used to model the
management information that is to be configured using NETCONF. The
NETMOD working group has defined the data modeling language YANG but no
IETF models exist yet. The purpose of the NETMOD working group is to
support the ongoing deployment of YANG by developing a set of core YANG
data models and other activities that will allow network operators to
use YANG for configuration and management of network elements.

The NETMOD Working Group will initially work on the following items:

1. Core system data model
2. Core interface data model
3. Core routing data model that can be augmented with routing
   protocol specifics. This requires appropriate active editorial
   participation from routing experts.
4. SMIv2 translation to YANG for read-only operational data and
   notifications. Guidance will be provided on how to reference existing
   data structures in SMIv2 from YANG.

The NETMOD Working Group will not work on another version of YANG. All new
charter items must be fully interoperable with implementations of rfc
4741bis and/or rfc 6020. It will also not serve as a review team for YANG
modules developed by other working groups.

The WG will consult with the NETCONF working group to ensure that
NETMOD's decision do not conflict with planned work in NETCONF.

Goals and Milestones:

  Oct 2010 Submission of individual draft(s) of System data model draft
  Oct 2010 Submission of individual draft(s) of Interface data model
  Oct 2010 Submission of individual draft(s) of Routing data model
  Oct 2010 Submission of individual draft(s) of SMIv2 translation to YANG
  Dec 2010 Submit first working group draft of System data model draft
  Dec 2010 Submit first working group draft of Interface data model
  Dec 2010 Submit first working group draft of Routing data model
  Dec 2010 Submit first working group draft of SMIv2 translation to YANG
  Apr 2011 Submit SMIv2 to YANG translation to the IESG (proposed standard)
  Apr 2011 Submit System data model to the IESG (proposed standard)
  Aug 2011 Submit Interface data model to the IESG (proposed standard)
  Aug 2011 Submit Routing data model to the IESG (proposed standard) 

----

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 13 Oct 2010 11:53:07 +0200

Thanks, David. 

Two comments. 

1. I suggest to add to item #3 'and review at WGLC by the Routing Area
WG'.
 
2. I need to send the new charter text to external review tomorrow by
mid-day the latest - so please raise TODAY any critical issues that
would require text changes before the IETF external review. 

Thanks and Regards,

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of David Kessens
> Sent: Wednesday, October 13, 2010 7:34 AM
> To: [email-masked]
> Subject: [netmod] Brief Last Call: Charter proposal for 
> netmod wg(10/14/2010)
> 
> 
> Working Group,
> 
> I have tried to incorporate comments from the IESG and 
> comments that seem to have wide spread support. I have also 
> attached a diff file to make comparison with the previous 
> version easy.
> 
> As our Area Director explained in a previous mail, I don't 
> have the luxury to do a lengthy Last Call as it is important 
> to get a new charter in place before next IETF meeting. 
> Therefore, I will need your comments on the mailing list that 
> either (dis)approve of the current text or suggest text for 
> improvements by the end of business on Thursday. As our 
> timeline is quite short, it is extra important that I see a 
> lot of comments from as many participants as possible.
> 
> However, as also mentioned by Dan, if necessary, we will 
> still have a little bit of extra time to do some more fine 
> tuning after the Last Call has passed and before the charter 
> is up for approval on the next IESG telechat on 10/21. This 
> also means that we can theoretically still pull the proposed 
> charter from consideration by the IESG after the Last Call 
> has passed until 10/20. My intention is obviously not to do 
> this but I want to mention this to make sure that people who 
> might potentially have missed our very short deadline know 
> that they can still speak up to allow me as chairperson to 
> Finally, I would like to thank David Partain for all the work 
> he has done for the netmod working group. I don't think we 
> would have been able to achieve our milestones as quick as we 
> did without his dedication.
> 
> Thanks!
> 
> David Kessens
> ---
> 
> David Partain <[email-masked]> David Kessens 
> <[email-masked]>
> 
> Area Director: 
> The NETCONF Working Group has completed a base protocol to be 
> used for configuration management. However, the NETCONF 
> protocol does not include a modeling language or accompanying 
> rules that can be used to model the management information 
> that is to be configured using NETCONF. The NETMOD working 
> group has defined the data modeling language YANG but no IETF 
> models exist yet. The purpose of the NETMOD working group is 
> to support the ongoing deployment of YANG by developing a set 
> of core YANG data models and other activities that will allow 
> network operators to use YANG for configuration and 
> management of network elements.
> 
> The NETMOD Working Group will not work on another version of 
> YANG. All new charter items must be fully interoperable with 
> implementations of rfc 4741bis and/or rfc 6020. It will also 
> not serve as a review team for YANG modules developed by 
> other working groups.
> 
> The WG will consult with the NETCONF working group to ensure 
> that NETMOD's decision do not conflict with planned work in NETCONF.
> 
> 
> Goals and Milestones:
>

---

From: Martin Bjorklund <[email-masked]>
Date: Wed, 13 Oct 2010 12:48:21 +0200 (CEST)

Hi,

> would require text changes before the IETF external review. 

I asked before if this charter excludes work on network-wide config.
It seems it does.  Does that mean that we must finish this proposed
charter before we start to work on network-wide config in the WG?

/martin

> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 13 Oct 2010 13:03:42 +0200

> charter before we start to work on network-wide config in the WG?

I think the unanswered question was whether it is this WG or another
WG. For the rechartering text crafted at the last IETF meeting, I also
recall that network-wide config was not too well understood and there
were no concrete solution proposals to look at.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 13 Oct 2010 13:44:24 +0200

> From: Juergen Schoenwaelder 
> [mailto:[email-masked]] 
> Sent: Wednesday, October 13, 2010 1:04 PM
> To: Martin Bjorklund
> Cc: Romascanu, Dan (Dan); [email-masked]
> Subject: Re: [netmod] Brief Last Call: Charter proposal for 
> netmod wg(10/14/2010)
> 
> I think the unanswered question was whether it is this WG or 
> another WG. For the rechartering text crafted at the last 
> IETF meeting, I also recall that network-wide config was not 
> too well understood and there were no concrete solution 
> proposals to look at.
> 
> /js
> 

I remember that somebody (was this Phil? ) too an action item to write a
document that would include a problem statement as well as point to a
possible scope of work, which was identified during out Maastricht
bar-BOF discussions. 

For the purpose of this WG rechartering, I think it's too early for
inclusion in the charter, but nothing prevents individuals to work on
network-wide config, and the mail list and some time at the end of the
WG meetings could be used for this work. 

Dan

---

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 13 Oct 2010 16:38:54 +0200

Hi,

I am fine with this charter.

Lada

-- 
Ladislav Lhotka, CESNET
PGP Key ID: E74E8C0C

---

From: David Kessens <[email-masked]>
Date: Wed, 13 Oct 2010 21:40:15 -0700

Dan,

> 1. I suggest to add to item #3 'and review at WGLC by the Routing Area

I have no problem with this.

David Kessens
---